Skip to main content
POST
/
leads
Criar lead
curl --request POST \
  --url https://api.apollospace.ai/v1/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Organization-Id: <x-organization-id>' \
  --data '
{
  "contact_name": "<string>",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "company_name": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ],
  "value_cents": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contact_name": "<string>",
  "company_name": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage": "<string>",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tags": [
    "<string>"
  ],
  "value_cents": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Cognito id_token obtido após login

Headers

X-Organization-Id
string<uuid>
required
Idempotency-Key
string

UUID único pra evitar duplicação em retry.

Body

application/json
contact_name
string
required
Maximum string length: 200
pipeline_id
string<uuid>
required
company_name
string
Maximum string length: 200
email
string<email>
phone
string

Formato E.164

owner_id
string<uuid>
tags
string[]
value_cents
integer

Valor potencial em centavos da moeda da org

Response

Lead criado

id
string<uuid>
contact_name
string
company_name
string | null
email
string<email> | null
phone
string | null
pipeline_id
string<uuid>
stage
string
owner_id
string<uuid> | null
tags
string[]
value_cents
integer | null
created_at
string<date-time>
updated_at
string<date-time>